CommonParams Class Reference

`#include <CommonParams.h>`

Inheritance diagram for CommonParams:

## Public Member Functions

| CommonParams ()
bool | getIdealIsMinimal () const
| Returns whether the input ideal is known to be minimally generated.
void | idealIsMinimal (bool value)
bool | getPrintActions () const
| Returns whether to print and time the large-scale actions that Frobby performs.
void | printActions (bool value)
const string & | getInputFormat () const
| Returns the format used for parsing input.
void | setInputFormat (const string &value)
const string & | getOutputFormat () const
| Returns the format in which output is produced.
void | setOutputFormat (const string &value)
bool | getProduceCanonicalOutput () const
| Returns whether to produce output in a canonical representation.
void | produceCanonicalOutput (bool value)
bool | getPrintDebug () const
| Returns whether to print information about what the algorithm is doing to standard error as it runs.
void | printDebug (bool value)
bool | getPrintStatistics () const
| Returns whether to print statistics on what the algorithm did to standard error after it has run.
void | printStatistics (bool value)

## Private Attributes

bool | _idealIsMinimal
bool | _printActions
bool | _produceCanonicalOutput
bool | _printDebug
bool | _printStatistics
string | _inputFormat
string | _outputFormat

## Detailed Description

Definition at line 25 of file CommonParams.h.

## Constructor & Destructor Documentation

## CommonParams()

CommonParams::CommonParams | ( |  | ) |

Definition at line 25 of file CommonParams.cpp.

## Member Function Documentation

## getIdealIsMinimal()

bool CommonParams::getIdealIsMinimal | ( |  | ) | const

inline

Returns whether the input ideal is known to be minimally generated.

This option is off by default.

If the ideal is minimally generated, setting this option can improve performance. However, if this option is set and the ideal is not actually minimally generated, then Frobby will exhibit undefined behavior. Possibilities for what might happen include crashing, going into an infinite loop and producing incorrect results.

Definition at line 38 of file CommonParams.h.

## getInputFormat()

const string & CommonParams::getInputFormat | ( |  | ) | const

inline

Returns the format used for parsing input.

Definition at line 47 of file CommonParams.h.

## getOutputFormat()

const string & CommonParams::getOutputFormat | ( |  | ) | const

inline

Returns the format in which output is produced.

Definition at line 51 of file CommonParams.h.

## getPrintActions()

bool CommonParams::getPrintActions | ( |  | ) | const

inline

Returns whether to print and time the large-scale actions that Frobby performs.

Definition at line 43 of file CommonParams.h.

## getPrintDebug()

bool CommonParams::getPrintDebug | ( |  | ) | const

inline

Returns whether to print information about what the algorithm is doing to standard error as it runs.

Definition at line 61 of file CommonParams.h.

## getPrintStatistics()

bool CommonParams::getPrintStatistics | ( |  | ) | const

inline

Returns whether to print statistics on what the algorithm did to standard error after it has run.

Definition at line 66 of file CommonParams.h.

## getProduceCanonicalOutput()

bool CommonParams::getProduceCanonicalOutput | ( |  | ) | const

inline

Returns whether to produce output in a canonical representation.

Definition at line 56 of file CommonParams.h.

## idealIsMinimal()

void CommonParams::idealIsMinimal | ( | bool | value | ) |

inline

Definition at line 39 of file CommonParams.h.

## printActions()

void CommonParams::printActions | ( | bool | value | ) |

inline

Definition at line 44 of file CommonParams.h.

## printDebug()

void CommonParams::printDebug | ( | bool | value | ) |

inline

Definition at line 62 of file CommonParams.h.

## printStatistics()

void CommonParams::printStatistics | ( | bool | value | ) |

inline

Definition at line 67 of file CommonParams.h.

## produceCanonicalOutput()

void CommonParams::produceCanonicalOutput | ( | bool | value | ) |

inline

Definition at line 57 of file CommonParams.h.

## setInputFormat()

void CommonParams::setInputFormat | ( | const string & | value | ) |

inline

Definition at line 48 of file CommonParams.h.

## setOutputFormat()

void CommonParams::setOutputFormat | ( | const string & | value | ) |

inline

Definition at line 52 of file CommonParams.h.

## Member Data Documentation

## _idealIsMinimal

bool CommonParams::_idealIsMinimal

private

Definition at line 70 of file CommonParams.h.

## _inputFormat

string CommonParams::_inputFormat

private

Definition at line 76 of file CommonParams.h.

## _outputFormat

string CommonParams::_outputFormat

private

Definition at line 77 of file CommonParams.h.

## _printActions

bool CommonParams::_printActions

private

Definition at line 71 of file CommonParams.h.

## _printDebug

bool CommonParams::_printDebug

private

Definition at line 73 of file CommonParams.h.

## _printStatistics

bool CommonParams::_printStatistics

private

Definition at line 74 of file CommonParams.h.

## _produceCanonicalOutput

bool CommonParams::_produceCanonicalOutput

private

Definition at line 72 of file CommonParams.h.

The documentation for this class was generated from the following files:

- src/CommonParams.h
- src/CommonParams.cpp